Bug 1272757 - [abrt] dnf: drpm.py:131:job_done:KeyError: 9252
[abrt] dnf: drpm.py:131:job_done:KeyError: 9252
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:62178486b13e405b2a8509767a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 10:15 EDT by Zdenek Chmelar
Modified: 2016-07-19 14:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.27 KB, text/plain)
2015-10-18 10:15 EDT, Zdenek Chmelar
no flags Details
File: dso_list (66 bytes, text/plain)
2015-10-18 10:15 EDT, Zdenek Chmelar
no flags Details
File: environ (2.03 KB, text/plain)
2015-10-18 10:15 EDT, Zdenek Chmelar
no flags Details

  None (edit)
Description Zdenek Chmelar 2015-10-18 10:15:00 EDT
Description of problem:
wanted to run dnf update, but dnf failed during package download

Version-Release number of selected component:
dnf-1.1.2-4.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python -OO /bin/dnf update
executable:     /bin/dnf
kernel:         4.1.8-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
drpm.py:131:job_done:KeyError: 9252

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 144, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 173, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 212, in do_transaction
    total_cb)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 875, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 126, in download_payloads
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib64/python2.7/site-packages/librepo/__init__.py", line 1505, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 144, in new_func
    name = '%s.%s' % (args[0].__class__.__name__, fn.__name__)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 317, in _progress_cb
    self.progress.progress(self, done)
  File "/usr/lib/python2.7/site-packages/dnf/cli/progress.py", line 69, in progress
    text = unicode(payload)
  File "/usr/lib/python2.7/site-packages/dnf/util.py", line 144, in new_func
    name = '%s.%s' % (args[0].__class__.__name__, fn.__name__)
  File "/usr/lib/python2.7/site-packages/dnf/repo.py", line 317, in _progress_cb
    self.progress.progress(self, done)
  File "/usr/lib/python2.7/site-packages/dnf/cli/progress.py", line 69, in progress
    text = unicode(payload)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 53, in _end_cb
    self.delta_info.enqueue(self)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 158, in enqueue
    self.job_done(pid, code)
  File "/usr/lib/python2.7/site-packages/dnf/drpm.py", line 131, in job_done
    pload = self.jobs.pop(pid)
KeyError: 9252

Local variables in innermost frame:
self: <dnf.drpm.DeltaInfo object at 0x7fb5f9b6db50>
code: 0
pid: 9252
Comment 1 Zdenek Chmelar 2015-10-18 10:15:05 EDT
Created attachment 1084172 [details]
File: backtrace
Comment 2 Zdenek Chmelar 2015-10-18 10:15:07 EDT
Created attachment 1084173 [details]
File: dso_list
Comment 3 Zdenek Chmelar 2015-10-18 10:15:09 EDT
Created attachment 1084174 [details]
File: environ
Comment 4 Zdenek Chmelar 2015-10-18 10:27:41 EDT
'dnf clean all' fixed the problem.
Comment 5 smanocch 2015-10-27 07:08:19 EDT
Same problem but a 'dnf clean all' did not solve the issue.
Comment 6 Fedora Admin XMLRPC Client 2016-07-08 05:29:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-07-19 14:16:08 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.